class JournalPaperFile
  include Mongoid::Document
  include Mongoid::Timestamps
  include Mongoid::Attributes::Dynamic

  field :description, type: String, localize: true
  field :title, type: String, localize: true
  field :should_destroy, type: Boolean

  mount_uploader :journal_file, AssetUploader
  belongs_to :journal_paper
end
