$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "personal_journal/version"
# Describe your gem and declare its dependencies:
bundle_update_flag = ARGV[0]=='update' || ARGV[0]=='install'
if bundle_update_flag
    app_path = File.expand_path(__dir__)
    template_path = ENV['PWD'] + '/app/templates'
    all_template = Dir.glob(template_path+'/*/')
    puts 'copying module'
    all_template.each do |folder|
        if folder.split('/')[-1] != 'mobile'
            begin
                system ('cp -r '+ app_path + '/modules/ ' + folder)
            rescue
                puts 'error copy'
            end
        end
    end
end
Gem::Specification.new do |s|
  s.name        = "personal_journal"
  s.version     = PersonalJournal::VERSION
  s.authors     = ["Ruling Digital Inc."]
  s.email       = ["orbit@rulingcom.com"]
  s.homepage    = "http://www.rulingcom.com"
  s.summary     = "Journal Papers of Members"
  s.description = "Journal Papers of Members"
  s.license     = "MIT"

  s.files = Dir["{app,config,db,lib}/**/*", "MIT-LICENSE", "Rakefile", "README.rdoc"]
  s.test_files = Dir["test/**/*"]
end
